import request from '@/utils/request'

// 查询cmc设备移交列表
export function listDeviceHandover(query) {
  return request({
    url: '/oa/deviceHandover/list',
    method: 'get',
    params: query
  })
}

// 查询cmc设备移交详细
export function getDeviceHandover(deviceHandoverId) {
  return request({
    url: '/oa/deviceHandover/' + deviceHandoverId,
    method: 'get'
  })
}

// 新增cmc设备移交
export function addDeviceHandover(data) {
  return request({
    url: '/oa/deviceHandover',
    method: 'post',
    data: data
  })
}

// 修改cmc设备移交
export function updateDeviceHandover(data) {
  return request({
    url: '/oa/deviceHandover',
    method: 'put',
    data: data
  })
}

// 删除cmc设备移交
export function delDeviceHandover(deviceHandoverId) {
  return request({
    url: '/oa/deviceHandover/' + deviceHandoverId,
    method: 'delete'
  })
}
